Bug 1315425 - Obsolete vte3 in favor of vte2.91
Obsolete vte3 in favor of vte2.91
Status: NEW
Product: Fedora
Classification: Fedora
Component: vte3 (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 12:09 EST by Egmont Koblinger
Modified: 2017-08-15 04:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Egmont Koblinger 2016-03-07 12:09:53 EST
vte3-0.36.5 (a.k.a. library version 2.90) is obsolete, it should be superseded by vte2.91 and removed from the distribution.

Newer vte does not only come with an API/ABI-incompatible change (hence the library version bump), but also tons of bugfixes and important feature improvements (such as encrypting the scrollback contents before writing to disk).

Debian Unstable and Ubuntu Xenial have managed to remove this package, and migrate all depending packages to vte2.91. This is a proof that pretty much all vte2.90-based apps have now been updated mainstream to support vte2.91. Hence I believe the migration should be quite simple for Fedora too.

(This bugreport was inspired by bug 1315223.)
Comment 1 Jan Kurik 2016-07-26 00:41:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 2 Egmont Koblinger 2017-04-10 19:34:12 EDT
This bug _is_ against rawhide.
Comment 3 Jan Kurik 2017-08-15 04:10:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.